Subject: Re: [PATCH] perf: amend the grep tests to test grep.threads

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Jan 2018 14:28:13 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> Judging by the way the other side uses "test_perf $prereq ..."
>> without quotes around it, I suspect you do expect it to be empty in
>> some cases.  It means you expect test_have_prereq is prepared to
>> skip an empty prerequisite in a prereq list, but I do not recall
>> writing that helper in such a way, so...
>>
>> 	PTHREADS${prereq:+,}$prereq
>>
>> or something along that line, perhaps?
>
> It's not, but a trailing comma at the end of the prereq list works since
> test_have_prereq() relies on setting the IFS to ",", so as long as this
> is portable:
> ...
> We could use the ${...} pattern above if you prefer, but since it
> doesn't appear to be needed...

I view that reasoning as depending more on how the helper happens to
be implemented right now than working by design, though.